DTSEC(4)

NAME
dtsec - Freescale Datapath Acceleration Architecture-based Three-Speed Ethernet Controller device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

include "dpaa/config.dpaa"
device dpaa
device miibus

DESCRIPTION
The dtsec driver provides support for the DPAA-based gigabit Ethernet controller integrated in some of the Freescale system-on-chip devices.

The dtsec driver supports the following media types:

autoselect
    Enable autoselection of the media type and options

10baseT/UTP
    Set 10Mbps operation

100baseTX
    Set 100Mbps operation

1000baseT
    Set 1000baseT operation

The dtsec driver supports the following media options:

full-duplex
    Set full duplex operation

The dtsec driver supports two operating modes:

Regular
    Normal mode, utilizing the full datapath acceleration, Buffer Manager, and Queue Manager.

Independent
    Runs disconnected from the Buffer Manager and Queue Manager.

HARDWARE
Gigabit Ethernet controllers built into the following Freescale system-on-chip devices are known to work with the dtsec driver:

•   P2041, P3041
•   P5010, P5020

Additionally, the following devices are expected to work, but are untested:
•   P4080, P4040
•   P5040

SEE ALSO
altq(4), arp(4), miibus(4), netintro(4), ng_ether(4), ifconfig(8)

HISTORY
The dtsec device driver first appeared in FreeBSD 11.0.

AUTHORS
-nosplit The base version of dtsec device driver was written by Semihalf. This manual page was written by Justin Hibbits.